Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIServletExternalResolver.ServletContextAndPath

    java.lang.Object
      |
      +--org.apache.catalina.ssi.SSIServletExternalResolver.ServletContextAndPath

Enclosing class:
  SSIServletExternalResolver

protected class SSIServletExternalResolver.ServletContextAndPath
extends java.lang.Object

Field Summary
`protected java.lang.String` | `path`
`protected javax.servlet.ServletContext` | `servletContext`

Constructor Summary
`SSIServletExternalResolver.ServletContextAndPath(javax.servlet.ServletContext servletContext, java.lang.String path)`

Method Summary
`java.lang.String` | `getPath()`
`javax.servlet.ServletContext` | `getServletContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletContext

    protected javax.servlet.ServletContext servletContext

### path

    protected java.lang.String path

Constructor Detail

### SSIServletExternalResolver.ServletContextAndPath

    public SSIServletExternalResolver.ServletContextAndPath(javax.servlet.ServletContext servletContext,
                                                            java.lang.String path)

Method Detail

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getPath

    public java.lang.String getPath()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.